%define module_name Number-Phone-RO
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(Number/Phone.pm) perl(Test/Perl/Critic.pm) perl(parent.pm) perl(re.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.000
Release: alt2
Summary: Phone number information for Romania (+40)
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module is a work in progress. See the the TODO manpage section below.

See the the Number::Phone manpage documentation for usage information. The
following methods from the Number::Phone manpage are overridden:

=over

=item is_geographic

=item is_fixed_line

=item is_mobile

=item is_tollfree

=item is_specialrate

=item country_code

Always returns 40.

=item regulator

Returns the name and URL of the regulator, ANCOM.

=item areacode

=item areaname

=item subscriber

=item format

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 1.000-alt2
- updated summary

* Thu May 26 2016 Igor Vlasenko <viy@altlinux.ru> 1.000-alt1
- regenerated from template by package builder

* Tue Dec 01 2015 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- regenerated from template by package builder

* Mon Oct 12 2015 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

